<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="UTF-8"><meta name="copyright" content="(C) Copyright 2020"><meta name="DC.rights.owner" content="(C) Copyright 2020"><meta name="DC.type" content="topic"><meta name="DC.format" content="HTML5"><meta name="DC.identifier" content="identificatie-van-niet-tekstuele-informatie"><link rel="stylesheet" type="text/css" href="css/commonltr.css"><link rel="stylesheet" type="text/css" href="css/stop.css"><title>Identificatie van niet-tekstuele informatie</title><link rel="shortcut icon" href="https://koop.gitlab.io/STOP/0.98-kern/img/stop.png"></head><body id="identificatie-van-niet-tekstuele-informatie"><header role="banner"><div>
  <script type="text/javascript">
    function search_google () {
    document.getElementById('search_google_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
    function search_bing () {
    document.getElementById('search_bing_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
  </script>
  <table>
    <tr>
      <td colspan="2">Standaard Officiële Publicaties</td>
      <td class="versie">versie 0.98.1-kern</td>
    </tr>
    <tr>
      <td class="subtitle">Voor gebruik in DSO-PI12 en DSO-PI13<br>
        Meest recente versie: zie <a href="https://koop.gitlab.io/STOP/standaard/index.html">doorontwikkeling</a></td>
      <td colspan="2" class="search">
        <form>
          <label for="search_tekst">Zoek naar</label> <input type="text" id="search_tekst" size="31" value="">
        </form>
        met
        <form method="get" action="https://www.google.com/search" target="_blank" onsubmit="search_google()">
          <input type="text" name="q" id="search_google_q" size="31" value="" style="display:none;">
          <input type="submit" value="Google">
        </form>
        of
        <form method="get" action="https://www.bing.com/search" target="_blank" onsubmit="search_bing()">
          <input type="text" name="q" id="search_bing_q" size="31" value="" style="display:none;">
          <input type="submit" value="Bing">
        </form>
      </td>
    </tr>
  </table>
</div></header><nav role="toc"><ul><li><a href="index.html">Introductie</a></li><li><a href="leeswijzers.html">Leeswijzers</a><ul><li><a href="modulairestructuur.html">Modulaire structuur</a></li><li><a href="domeinspecifiek.html">Domein-specifieke toepassingen</a></li><li><a href="tekstmodellen.html">Modellering van tekst</a></li><li><a href="informatieobjecten.html">Modellering van informatieobjecten</a></li><li><a href="naamgevingsconventie.html">Naamgevingsconventie</a><ul><li><a href="identificatie_doc_pub.html">Identificatie van publicaties en documenten</a></li><li class="active"><a href="identificatie_niet-tekst.html">Identificatie van niet-tekstuele informatie</a></li><li><a href="identificatie_wl_dt.html">Waardelijsten en datatypes in identificatie</a></li></ul></li><li><a href="tekstmuteren.html">Tekstmuteren</a></li></ul></li><li><a href="EA_D7FEF211FB2646928045FDF1A8F4D28A.html">Informatiemodel Officiele Publicaties</a></li><li><a href="technische_documentatie.html">Technische documentatie</a></li><li><a href="begrippenlijst.html">Begrippenlijst</a></li></ul></nav><main role="main"><article role="article" aria-labelledby="ariaid-title1"><h1 class="title topictitle1" id="ariaid-title1">Identificatie van niet-tekstuele informatie</h1><div class="body"></div><article class="topic nested1" aria-labelledby="ariaid-title2" id="informatiecomponenten-en-doel"><h2 class="title topictitle2" id="ariaid-title2">Informatiecomponenten en doel</h2><div class="body"><p class="p">Naast tekstuele informatie die <a class="xref" href="identificatie_doc_pub">AKN identificatie</a> krijgen,
kent STOP ook niet-tekstuele informatie zoals informatieobjecten. Deze krijgen,
net als documenten en publicaties, twee identificaties:</p><ul class="ul"><li class="li"><p class="p">één voor een work en</p></li><li class="li"><p class="p">één voor de versie van een work (een expression).</p></li></ul><p class="p">De Akoma Ntoso naming convention (AKN NC) is bedoeld voor tekstidentificatie, al bevat het ook mogelijkheden om niet-tekstuele componenten te identificeren. Die mogelijkheden zijn voor toepassing in STOP te beperkt. Daarom sluit STOP aan bij de JOIN naamgevingsconventie die ook voor andere juridische overheidsinformatie gebruikt wordt. De JOIN standaard is gebaseerd op best practices en lijkt qua structuur op de AKN NC.</p><p class="p">Voor informatie die ontstaat onder verantwoordelijkheid van een bevoegd gezag wordt als identificatie gehanteerd:</p><p class="p"><strong class="ph b">Work</strong>: <code class="ph codeph">"/join/" &lt;objecttype&gt; "/" &lt;collectie&gt; "/" &lt;overheid&gt; "/" &lt;datum_work&gt; "/" &lt;overig&gt;</code></p><p class="p"><strong class="ph b">Expression</strong>: <code class="ph codeph">&lt;work&gt; ["/" &lt;taal&gt;] "@" &lt;datum_expr&gt; [ ";" &lt;versie&gt; ] [ ";" &lt;overig&gt; ]</code></p><p class="p">met</p><table class="table"><caption></caption><colgroup><col><col></colgroup><thead class="thead"><tr class="row"><th class="entry" id="informatiecomponenten-en-doel__entry__1">code</th><th class="entry" id="informatiecomponenten-en-doel__entry__2">betekenis</th></tr></thead><tbody class="tbody"><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">"/join/"</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Afkorting van <strong class="ph b">Juridische Object Identificatie Naming convention</strong></td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">objecttype</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Vooralsnog altijd <code class="ph codeph">id</code> om aan te geven dat het identificaties betreft</td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">collectie</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Voor informatieobjecten hangt dit samen met het onderscheid in <a class="xref" href="EA_EC4DE25BFB1341e6B632337DAF9C2791.html#Pkg__9058BA66AF9F44fbA43752F65A2654AF">Publicatieinstructie</a>.<ul class="ul"><li class="li">Voor informatieobjecten die geconsolideerd worden: <code class="ph codeph">regdata</code> (afkorting voor in <strong class="ph b">REG</strong>elgeving vastgestelde <strong class="ph b">DATA</strong>); </li><li class="li">Voor bekend te maken informatieobjecten: <code class="ph codeph">pubdata</code> (afkorting voor officieel te <strong class="ph b">PUB</strong>liceren <strong class="ph b">DATA</strong>);</li><li class="li">Voor informatieve informatieobjecten: <code class="ph codeph">infodata</code> (afkorting voor <strong class="ph b">INFO</strong>rmatieve <strong class="ph b">DATA</strong>);</li><li class="li">Voor <a class="xref" href="begrippenlijst_doel.html#doel">Doel</a>: <code class="ph codeph">proces</code> (waarvan het doel het resultaat is);</li><li class="li">Voor waardelijsten van de STOP standaard en voor waarden daarin: <code class="ph codeph">stop</code>.</li></ul></td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">datum_work</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Datum van het ontstaan van de eerste versie van het work. Dit mag een volledige datum zijn maar het mag ook alleen een jaartal zijn.</td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">taal</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Optionele taalcode van de expression volgens <a class="xref" href="identificatie_wl_dt.html#taal">waardelijst <strong class="ph b">Taal</strong></a></td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">datum_expr</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Datum van het ontstaan van deze versie van het work. Dit mag een volledige datum zijn maar het mag ook alleen een jaartal zijn. Deze datum moet tegelijkertijd of later liggen dat de <code class="ph codeph">&lt;datum_work&gt;</code></td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">versie</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Een optioneel <a class="xref" href="begrippenlijst_versienummer.html#versienummer">versienummer</a> voor het document.</td></tr><tr class="row"><td class="entry" headers="informatiecomponenten-en-doel__entry__1">overig</td><td class="entry" headers="informatiecomponenten-en-doel__entry__2">Zie <a class="xref" href="identificatie_doc_pub.html#docbg">identificatie van documenten van bevoegd gezag</a></td></tr></tbody></table><p class="p">Voorbeelden zijn:</p><ul class="ul"><li class="li"><p class="p"><code class="ph codeph">/join/id/regdata/gm0503/2018/loc1589</code> : Een consolideerbaar Work met code <code class="ph codeph">loc1589</code> voor het eerste gemaakt door  de Gemeente Delft in 2018</p></li><li class="li"><p class="p"><code class="ph codeph">/join/id/regdata/gm0503/2018/loc1589/nld@2018-12-02</code>: Nederlandstalige expression dd 2 december 2018 van bovengenoemd Work</p></li><li class="li"><p class="p"><code class="ph codeph">/join/id/pubdata/gm0503/2021/237-yap-1-8</code>: Een bekend te maken informatieobject (Work) met code <code class="ph codeph">237-yap-1-8</code> gemaakt in 2021</p></li><li class="li"><p class="p"><code class="ph codeph">/join/id/pubdata/gm0503/2021/237-yap-1-8@2022-02-02;1-0a</code>: Versie 1.0a van bovengenoemd informatieobject, gemaakt op 2 feb 2022. Deze expression is taalonafhankelijk.</p></li><li class="li"><p class="p"><code class="ph codeph">/join/id/proces/mnre1034/2019/InstellingOmgevingsregeling</code>: het Doel van de Instelling van de Omgevingsregeling door het Ministerie van BZK.</p></li><li class="li"><p class="p"><code class="ph codeph">/join/id/stop/informatieobject/gio-001</code> : waarde "Werkingsgebied" uit waardelijst "soort informatieobject".</p></li></ul><p class="p">Als niet-tekstuele informatie geen versies kent (zoals voor een concept of waarde) dan wordt alleen de work-identificatie gebruikt.</p></div></article><article class="topic nested1" aria-labelledby="ariaid-title3" id="geconsolideerde-informatieobjecten"><h2 class="title topictitle2" id="ariaid-title3">Geconsolideerde informatieobjecten</h2><div class="body"><p class="p">Geconsolideerde informatieobjecten worden op daartoe opgerichte platforms gepubliceerd en krijgen een eigen identificatie</p><p class="p"><strong class="ph b">Work</strong>: <code class="ph codeph">"/join/id/regdata/consolidatie/" &lt;datum_work&gt; "/" &lt;nummer&gt;</code></p><p class="p"><strong class="ph b">Expression</strong>: <code class="ph codeph">&lt;work&gt; "/" &lt;taal&gt; "@"  &lt;datum_g&gt; [";"  &lt;datum_iwt&gt;]  [ ";" &lt;versie&gt; ]</code></p><p class="p">De betekenis van de parameters is gelijk als vermeld onder <a class="xref" href="identificatie_doc_pub.html#consreg">identificatie van publicaties en documenten: geconsolideerde regelingen</a>. Extra beperkingen op de waarde van <code class="ph codeph">&lt;nummer&gt;</code> voor IOs:</p><ul class="ul"><li class="li"><p class="p">prefix "CIO" van ge<strong class="ph b">C</strong>onsolideerde <strong class="ph b">IO</strong>.</p></li><li class="li"><p class="p">daarna 7 cijfers</p></li><li class="li"><p class="p">regex: <code class="ph codeph">CIO[0-9]{7}</code>, voorbeeld: <code class="ph codeph">CIO0032561</code></p></li></ul><p class="p">Voorbeelden:</p><ul class="ul"><li class="li"><p class="p"><code class="ph codeph">/join/id/regdata/consolidatie/2020/CIO0032561</code>: het work van een geconsolideerde IO met nummer "CIO0032561"</p></li><li class="li"><p class="p"><code class="ph codeph">/join/id/regdata/consolidatie/2020/CIO0032561/nld@2021-06-01;2</code> : versie 2 van bovenstaande IO die geldig is vanaf 1 juni 2021.</p></li></ul></div></article><article class="topic nested1" aria-labelledby="ariaid-title4" id="identificatie-van-objecten-binnen-niet-tekstuele-informatie"><h2 class="title topictitle2" id="ariaid-title4">Identificatie van objecten binnen niet-tekstuele informatie</h2><div class="body"><p class="p">AKN NC maakt voor elementen binnen een tekst gebruik van het eId/wId mechanisme, waarbij aan de identificatie te zien is waar een element binnen de tekst voorkomt.
Sommige niet-tekstuele informatie wordt in STOP gemodelleerd als een verzameling objecten, waarbij
een mutatiemechanisme vergelijkbaar aan dat voor teksten gebruikt kan worden.
Een verwijzing naar een object zal in dit geval alleen door software gelezen worden.
Daarom zijn de enige eisen die aan de identificatie van het object gesteld worden:</p><ul class="ul"><li class="li"><p class="p">De identificatie moet uniek zijn binnen de component.</p></li><li class="li"><p class="p">De identificatie moet door alle software te gebruiken zijn.</p></li></ul><p class="p">De software die een identificatie toekent is verantwoordelijk voor de invulling van de eerste eis, door bijvoorbeeld een GUID of een uniek tijdstempel te gebruiken. Voor de tweede eis legt STOP de volgende beperkingen op aan de waarde:</p><ul class="ul"><li class="li"><p class="p">maximale lengte 128 karakters</p></li><li class="li"><p class="p">alleen toegestaan: boven- en onderkast letters, cijfers en underscore (regex <code class="ph codeph">[\w]+</code>)</p></li></ul><p class="p">De naam die voor deze identificatie in documentatie en in het uitwisselingsformaat gebruikt wordt is ten behoeve van de consistentie met tekst <a class="xref" href="begrippenlijst_wId.html#wId">wId</a>.</p></div></article></article></main></body></html>